#include "partition.h"
#include <bits/stdc++.h>
using namespace std;
#define ll long long
vector<int> solve(vector<int> A) {
	vector <pair<int,int>> B; int n=(int)A.size();
	for (int i=0; i<n; i++) B.push_back({A[i],i});
	sort(B.begin(),B.end()); vector <int> va;
	for (int i=0; i<n; i+=2) va.push_back(B[i].second);
	for (int i=1; i<n; i+=2) va.push_back(B[i].second);
	return va;
}
